<%@ page import="java.nio.charset.StandardCharsets" %>
<%@ page contentType="text/html;charset=UTF-8" %>
<%@include file="menu.jsp"%>
<% response.setCharacterEncoding(StandardCharsets.UTF_8.name()); %>
<% request.setCharacterEncoding(StandardCharsets.UTF_8.name()); %>

<!--Cards-->
<!--Analyse-Cards-->
<div id="analysis" class="row container">
    <!--Übersicht-->
    <div class="col s12 m12">
        <div id="overview" class="card white">
            <div class="center">
                <span class="card-title center">Übersicht</span>
            </div>
            <div class="card-action center">
                <a href="#">Tagesübersicht</a>
                <a href="#">Wochenübersicht</a>
            </div>
            <div class="card-content">
                <div>
                    <canvas id="overview_chart" width="1000" height="400"></canvas>
                </div>
            </div>
        </div>
    </div>

    <!--Einkaufszeiten-->
    <div class="col s12 m6">
        <div id="shopping_times" class="card white">
            <div class="card-content">
                <div class="center">
                    <span class="card-title">Einkaufszeiten</span>
                </div>
                <div class="center">
                    <div class="input-field col s12">
                        <select id="day" onchange="changeDay()">
                            <option value="0">Montag</option>
                            <option value="1">Dienstag</option>
                            <option value="2">Mittwoch</option>
                            <option value="3">Donnerstag</option>
                            <option value="4">Freitag</option>
                            <option value="5">Samstag</option>
                        </select>
                        <label for="day">Wochentag</label>
                    </div>
                </div>
                <div>
                    <canvas id="shopping_times_chart" width="1000" height="400"></canvas>
                </div>
            </div>
        </div>
    </div>

    <!--Verkaufte Artikel-->
    <div class="col s12 m6">
        <div id="sold_articles" class="card white">
            <div class="card-content">
                <div class="center">
                    <span class="card-title center">Verkaufte Artikel</span>
                </div>
                <div class="center">
                    <div class="input-field col s12">
                        <select>
                            <option value="0">Artikel 1</option>
                            <option value="1">Artikel 2</option>
                            <option value="2">Artikel 3</option>
                        </select>
                        <label>Artikel</label>
                    </div>
                </div>
                <div>
                    <canvas id="sold_articles_cake" width="1000" height="400"></canvas>
                </div>
            </div>
        </div>
    </div>

    <!--Top Artikel-->
    <div class="col s12 m6">
        <div id="top_articles" class="card white">
            <div class="center">
                <span class="card-title center">Top Artikel</span>
            </div>
            <div class="card-action center">
                <a href="#">Umsatz</a>
                <a href="#">Stückzahl</a>
            </div>
            <div class="card-content">
                <div>
                    <canvas id="top_articles_chart" width="1000" height="400"></canvas>
                </div>
            </div>
        </div>
    </div>
    <!--Flop Artikel-->
    <div class="col s12 m6">
        <div id="flop_articles" class="card white">
            <div class="center">
                <span class="card-title center">Flop Artikel</span>
            </div>
            <div class="card-action center">
                <a href="#">Umsatz</a>
                <a href="#">Stückzahl</a>
            </div>
            <div class="card-content">
                <div>
                    <canvas id="flop_articles_chart" width="1000" height="400"></canvas>
                </div>
            </div>
        </div>
    </div>

    <!--Warenkorbanlyse-->
    <div id="shopping_card_analysis" class="col s12 m6">
        <div class="card white">
            <div class="card-content">
                <div class="center">
                    <span class="card-title center">Warenkorbanalyse</span>
                </div>
                <div>
                    <p>Coming Soon</p>
                </div>
            </div>
        </div>
    </div>

    <!--Gruppenübersicht-->
    <div class="col s12 m6">
        <div id="group_overview" class="card white">
            <div class="card-content">
                <div class="center">
                    <span class="card-title center">Gruppenübersicht</span>
                </div>
                <div>
                    <p>Coming Soon</p>
                </div>
            </div>
        </div>
    </div>
</div>

<!--Marketing-Cards-->
<div id="marketing" class="row container">

    <div class="col s12 m6">
        <div id="marketing_tip_1" class="card white">
            <div class="card-content">
                <div class="center">
                    <span class="card-title center">Marketingmaßnahme 1</span>
                </div>
                <div>
                    <p>Coming Soon</p>
                </div>
            </div>
        </div>
    </div>
    <div class="col s12 m6">
        <div id="marketing_tip_2" class="card white">
            <div class="card-content">
                <div class="center">
                    <span class="card-title center">Marketingmaßnahme 2</span>
                </div>
                <div>
                    <p>Coming Soon</p>
                </div>
            </div>
        </div>
    </div>
    <div class="col s12 m6">
        <div id="marketing_tip_3" class="card white">
            <div class="card-content">
                <div class="center">
                    <span class="card-title center">Marketingmaßnahme 3</span>
                </div>
                <div>
                    <p>Coming Soon</p>
                </div>
            </div>
        </div>
    </div>
    <div class="col s12 m6">
        <div id="marketing_tip_4" class="card white">
            <div class="card-content">
                <div class="center">
                    <span class="card-title center">Marketingmaßnahme 4</span>
                </div>
                <div>
                    <p>Coming Soon</p>
                </div>
            </div>
        </div>
    </div>
</div>

<%@include file="footer.jsp"%>