$.ajax({
    url: 'data/sold_articles.json',
    dataType: 'json'
}).done(function (results) {
    new Chart(document.getElementById("sold_articles_cake"), {
        type: 'pie',
        data: {
            datasets: [{
                data: results.data1,
                backgroundColor: [
                    'rgba(237, 125, 49, 0.9)',
                    'rgba(255, 192, 0, 0.9)',
                    'rgba(112, 173, 71, 0.9)',
                ],
                label: 'Dataset 1'
            }],
            labels: results.labels
                },
        options: {
            responsive: true,
            title: {
                display: false,
                text: 'Verkaufte Artikel',
            },
            tooltips: {
                mode: 'index',
                intersect: false,
            },
            hover: {
                mode: 'nearest',
                intersect: true
            },
            legend: {
                position: 'bottom'
            }
        }
    });
});